Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.sql
Class SQLErgebnisliste

    java.lang.Object
      sum.sql.SQLErgebnisliste

    public class SQLErgebnisliste

extends Object

Die Klasse SQLErgebnisliste ist die Klasse für das Ergebnis einer SQL-Anfrage and die Datenbank. Die Ergebnisliste ist eine Tabelle, die zeilenweise verarbeitet werden kann. Die 0-te Zeile enthält die Namen (Titel) der Spalten. Die Spaltennummern beginnen bei 1. Mit vor() kann zur nächsten Zeile weitergegangen werden.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek

Constructor Summary
`SQLErgebnisliste(Datenbank pDatenbank, String pSQLAnfrage)` Eine neue SQLErgebnisliste wird erzeugt.

Method Summary
`int` | `aktuelleZeile()` Die Nummer der aktuellen Zeile in der Ergebnisliste wird zurückgegeben.
`void` | `alsTabelle(Tabelle pTabelle)` Der Inhalt der Ergebnisliste (Tabelle) wird in eine Tabelle (Komponente) eingetragen.
`int` | `datenfeldAlsGanzeZahl(int pSpalte)` Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als Kommazahl zurückgegeben.
`int` | `datenfeldAlsGanzeZahl(String pSpaltenname)` Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als ganze Zahl zurückgegeben.
`String` | `datenfeldAlsText(int pSpalte)` Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als String zurückgegeben.
`String` | `datenfeldAlsText(String pSpaltenname)` Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als String zurückgegeben.
`double` | `datenfeldAlsZahl(int pSpalte)` Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als Kommazahl zurückgegeben.
`double` | `datenfeldAlsZahl(String pDatenfeldname)` Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als Kommazahl zurückgegeben.
`void` | `gibFrei()` Die Ergebnisliste wird freigegeben.
`boolean` | `istDahinter()` Es wurde bis hinter die letzte Zeile der Ergebnisliste weitergegangen.
`int` | `spaltenanzahl()` Die Anzahl der Spalten in der Ergebnisliste (Tabelle) wird zurückgegeben.
`int` | `spaltenbreite(int pSpalte)` Die Breite der Spalte in Pixeln wird zurückgegeben.
`String` | `spaltenname(int pSpalte)` Der Bezeichner der Spalte wird zurückgegeben.
`int` | `spaltennummer(String pSpaltenname)` Die Nummer der Spalte zu dem entsprechenden Namen (Titel) wird zurückgegeben.
`String` | `spaltentyp(int pSpalte)` Der Typ einer Spalte wird zurückgegeben.
`void` | `vor()` Es wird zur nächsten Zeile der Ergebnisliste weitergegangen.
`int` | `zeilenanzahl()` Die Anzahl der Zeilen in der Ergebnisliste wird ermittelt.
`void` | `zumAnfang()` Es wird zum Anfang der Ergebnisliste gesprungen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLErgebnisliste

    public SQLErgebnisliste(Datenbank pDatenbank,
                            String pSQLAnfrage)

  Eine neue SQLErgebnisliste wird erzeugt.

  Parameters:
    `pDatenbank` - die Datenbank, die die Anfrage erhält
    `pSQLAnfrage` - die SQLAnfrage, die an die Datenbank geschickt wird

Method Detail

### aktuelleZeile

    public int aktuelleZeile()

  Die Nummer der aktuellen Zeile in der Ergebnisliste wird zurückgegeben.

  Returns:
    die Nummer der aktuellen Zeile der Ergebnisliste

### alsTabelle

    public void alsTabelle(Tabelle pTabelle)

  Der Inhalt der Ergebnisliste (Tabelle) wird in eine Tabelle (Komponente) eingetragen.

  Parameters:
    `pTabelle` - die Tabelle (Komponente), die gefüllt wird

### datenfeldAlsGanzeZahl

    public int datenfeldAlsGanzeZahl(int pSpalte)

  Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als Kommazahl zurückgegeben.

  Parameters:
    `pSpalte` - die Nummer der entsprechenden Spalte
  Returns:
    der Inhalt der Zelle

### datenfeldAlsGanzeZahl

    public int datenfeldAlsGanzeZahl(String pSpaltenname)

  Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als ganze Zahl zurückgegeben.

  Parameters:
    `pSpaltenname` - die Bezeichnung der entsprechenden Spalte
  Returns:
    der Inhalt der Zelle

### datenfeldAlsText

    public String datenfeldAlsText(int pSpalte)

  Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als String zurückgegeben.

  Parameters:
    `pSpalte` - die Nummer der entsprechenden Spalte
  Returns:
    der Inhalt der Zelle

### datenfeldAlsText

    public String datenfeldAlsText(String pSpaltenname)

  Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als String zurückgegeben.

  Parameters:
    `pSpaltenname` - die Bezeichnung der entsprechenden Spalte
  Returns:
    der Inhalt der Zelle

### datenfeldAlsZahl

    public double datenfeldAlsZahl(int pSpalte)

  Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als Kommazahl zurückgegeben.

  Parameters:
    `pSpalte` - die Nummer der entsprechenden Spalte
  Returns:
    der Inhalt der Zelle

### datenfeldAlsZahl

    public double datenfeldAlsZahl(String pDatenfeldname)

  Der Inhalt der Zelle in der entsprechenden Spalte in der aktuellen Zeile wird als Kommazahl zurückgegeben.

  Parameters:
    `pDatenfeldname` - die Bezeichnung der entsprechenden Spalte
  Returns:
    der Inhalt der Zelle

### gibFrei

    public void gibFrei()

  Die Ergebnisliste wird freigegeben.

### istDahinter

    public boolean istDahinter()

  Es wurde bis hinter die letzte Zeile der Ergebnisliste weitergegangen.

### spaltenanzahl

    public int spaltenanzahl()

  Die Anzahl der Spalten in der Ergebnisliste (Tabelle) wird zurückgegeben.

  Returns:
    die Anzehl der Spalten der Tabelle

### spaltenbreite

    public int spaltenbreite(int pSpalte)

  Die Breite der Spalte in Pixeln wird zurückgegeben.

  Parameters:
    `pSpalte` - die Nummer der entsprechenden Spalte
  Returns:
    die Breite der Spalte

### spaltenname

    public String spaltenname(int pSpalte)

  Der Bezeichner der Spalte wird zurückgegeben.

  Parameters:
    `pSpalte` - die Nummer der Spalte
  Returns:
    der Name (Titel) der entsprechenden Spalte

### spaltennummer

    public int spaltennummer(String pSpaltenname)

  Die Nummer der Spalte zu dem entsprechenden Namen (Titel) wird zurückgegeben. Falls es keine Spalte mit diesem Namen gibt, wird -1 zurückgegeben.

  Parameters:
    `pSpaltenname` - der entsprechenden Spalte
  Returns:
    die Nummer der Spalte (beginnend bei 1)

### spaltentyp

    public String spaltentyp(int pSpalte)

  Der Typ einer Spalte wird zurückgegeben.

  Parameters:
    `pSpalte` - die Nummer der Spalte
  Returns:
    der Typ der untersuchten Spalte in der Ergebnisliste

### vor

    public void vor()

  Es wird zur nächsten Zeile der Ergebnisliste weitergegangen.

### zeilenanzahl

    public int zeilenanzahl()

  Die Anzahl der Zeilen in der Ergebnisliste wird ermittelt.

  Returns:
    die Anzahl der Zeilen der Ergebnisliste

### zumAnfang

    public void zumAnfang()

  Es wird zum Anfang der Ergebnisliste gesprungen. Die nächsten Anfragen beziehen sich auf die erste Zeile der Tabelle.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD